Subject: [Suit] Manifest Content Semantics (not the syntax)

From: Suhas Nandakumar <[email-masked]>
Date: Thu, 2 Nov 2017 14:03:54 -0700

One of the main goals for SUIT is to standardize the container format for
describing the manifest and firmware.  Different vendors, and different
devices, have different preferences on, if the syntax is based on JSON,
ASN.1 CBOR, etc.

The important thing from a design and security point of view is that the
semantic information is correct not the syntax.

The charter should focus the WG on figuring out the right semantic
information that needs to be in the manifest and allow that to be mapped to
multiple different encodings that work with the tools and development
practices that are appropriate for the device that is using it.

Cheers

Suhas